Problème de lancement

Utilisation de Xcas

Modérateur : xcasadmin

bipbip1313
Messages : 12
Inscription : sam. oct. 13, 2007 7:45 am
Localisation : Albertville

Problème de lancement

Message par bipbip1313 » lun. oct. 15, 2007 8:08 pm

Bonjour,
Je viens d'installer sans problème Xcas sous Ubuntu, mais lorsque je tape xcas, j'obtiens :
xcas: symbol lookup error: /usr/lib/libgiac.so.0: undefined symbol: __gmpn_sub_nc

Quelqu'un a-t-il une idée de l'ânerie que j'ai faite ?

Cordialement

Pierre

parisse
Messages : 5141
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Message par parisse » mar. oct. 16, 2007 7:37 am

ca c'est un probleme de compatibilite avec la libgmp. Quelle version de GMP avez-vous installee?
Chez moi, c'est
libgmp3-dev 4.1.4-11ubuntu Multiprecision arithmetic library developers
libgmp3c2 4.1.4-11ubuntu Multiprecision arithmetic library
libgmpxx3 4.1.4-11ubuntu Multiprecision arithmetic library (C++ bindings)

Si vous avez libgmp2, il faut upgrader.
Au pire, vous pouvez desinstaller le package giac et installer xcas_root.tgz en suivant les instructions de la page de xcas.

bipbip1313
Messages : 12
Inscription : sam. oct. 13, 2007 7:45 am
Localisation : Albertville

Résolu!

Message par bipbip1313 » sam. oct. 20, 2007 6:30 am

Bonjour,

Pas mal de bagarre, de réinstallation sans résultats probants et finalement, le problème a été résolu en passant, hier à la dernière version de Ubuntu.

Merci beaucoup!

ft
Messages : 6
Inscription : mer. oct. 31, 2007 1:08 pm

Message par ft » mer. oct. 31, 2007 3:51 pm

Je confirme le bug, que j'avais résolu sous Feisty je ne sais trop comment... Sous Gutsy, à jour, je suis bloqué.

Merci de votre aide !

parisse
Messages : 5141
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Message par parisse » mer. oct. 31, 2007 4:05 pm

quel est le résultat de
dpkg -l '*libgmp*'
lorsque ca marche et lorsque ca ne marche pas?

ft
Messages : 6
Inscription : mer. oct. 31, 2007 1:08 pm

Message par ft » mer. oct. 31, 2007 4:16 pm

tous les paquets en libgmp (version 3) installés, il reste le bug malheureusement.

parisse
Messages : 5141
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Message par parisse » mer. oct. 31, 2007 4:23 pm

quelle version? chez moi en debian (pas ubuntu) c'est
libgmp3 4.1.4-6

ft
Messages : 6
Inscription : mer. oct. 31, 2007 1:08 pm

Message par ft » mer. oct. 31, 2007 4:34 pm

là c'est 4.2.1

parisse
Messages : 5141
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Message par parisse » jeu. nov. 01, 2007 6:54 am

si ca ne marche pas avec gmp 4.2.1, ca parait très étrange, soit le diagnostic est incorrect (mais ca ressemble furieusement a une fonction de GMP) soit GMP n'est pas compatible ascendant...

ft
Messages : 6
Inscription : mer. oct. 31, 2007 1:08 pm

Message par ft » jeu. nov. 01, 2007 7:36 am

il me semble que la version précédente de xcas, je l'avais prise dans le répertoire principal du serveur ftp, pas dans le répertoire ubuntu. (C'était bien la version tout-en-un.) Car déjà celle du rép. ubuntu indiquait cette erreur.

Sous Feisty j'avais bidouillé, je crois en faisant un updatecas, et j'avais le programme dans mon home.

ft
Messages : 6
Inscription : mer. oct. 31, 2007 1:08 pm

Message par ft » jeu. nov. 01, 2007 7:53 am

SUCCES !

Alors c'est bizarre quand même : j'ai purgé le paquet giac (pas simplement désinstallé), puis j'ai installé le 7.2.1 du répertoire ftp principal, pas /ubuntu. (D'ailleurs il est étrange que les deux .deb ne fassent pas la même taille ? L'un fait 16,1 l'autre 17,1. C'est celui de 17504 kB que j'ai pris.)

Bref, je ne sais pas si c'est le purging ou le 17504kB qui est responsable du succès de ces changements...

parisse
Messages : 5141
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Message par parisse » jeu. nov. 01, 2007 4:20 pm

donc ca veut dire que le .deb pour debian fonctionne aussi sur ubuntu? Ca me simplifierait le travail! Sinon pour la différence de taille, c'est du au fait que GMP est linké statiquement sur le package debian et pas sur le package ubuntu (ceci étant possible car je fais mes .deb pour debian sur ma machine alors que les .deb pour ubuntu sont faits sur un serveur ou je ne peux pas enlever les package GMP sans prendre plein de precautions si meme c'est possible).

ft
Messages : 6
Inscription : mer. oct. 31, 2007 1:08 pm

Message par ft » jeu. nov. 01, 2007 4:27 pm

ben il faut croire que oui. Je me rappelle que j'étais déjà allé chercher le .deb-Debian et non le .deb-Ubu pour que xcas 7.1 marche.

PpHd
Messages : 6
Inscription : mer. juil. 11, 2007 7:56 pm

Message par PpHd » sam. nov. 10, 2007 11:54 am

__gmpn_sub_nc est un symbole 'interne' de GMP qui existait sous GMP 4.1.4 mais plus sous GMP 4.2.1 pour la majorité des architectures (définit dans gmp-impl.h). Il est possible que ca soit lié à MPFR (qui peut être linké avec l'interface privée de GMP pour augmenter les performances mais cela implique de recompiler MPFR dès qu'on met à jour GMP - ce que les mainteneurs de paquet ne devraient pas faire).

parisse
Messages : 5141
Inscription : mar. déc. 20, 2005 4:02 pm
Contact :

Message par parisse » sam. nov. 10, 2007 2:07 pm

merci de l'info,
je vais mettre a jour la version de mpfr, on verra bien si ca fait disparaitre le probleme!

Répondre